Title: CKEditor for gitlab
Date: 2017-09-20 10:55
Category: <i class='fa fa-graduation-cap' aria-hidden='true'></i> &Eacute;tudiants
Tags: Projets tutorés, www, Tor

## Contexte

[GitLab](https://about.gitlab.com/) est une forge logicielle.

Cette forge présente notamment une interface web riche en fonctionnalités.

Il est possible au niveau d'un dépôt d'éditer ou de créer un fichier texte, ou encore d'uploader un fichier PDF.

Chaque action donne lieu à un commit sur le dépôt.

Ce projet vise à intégrer au mieux CKEditor
Une première phase consistera en la mise en place d'un site web afin qu'il soit viisble sur le réseau Tor, dans un environnement que vous maquetterez.
Vagrant est conseillé pour la partie maquette et virtualisation.
Dans une seconde phase la mise en ligne sera maquetter dans un environnement ispconfig.
Un exemple de maquettage de cet environnement  est disponible

## Points à considérer

* se documenter sur la mailleure façon d'implémenter les fonctionnalités
    * plugin gitlab?
    * plugin firefox / chrome?
    * service stand alone?
        * utilisation de la commande git?
        * utilisation de l'api gitlab?
* sécurité

## Rendu attendu

* Vous devez rendre un dépot git avec au minimum
    * un code source implémentant les fonctionnalités demandées
    * un fichier `README.md` documentant l'installation, la configuration et l'utilisation du service
    * un rapport détaillé du travail réalisé
